function Q = getViscosityCoefficients(N, t)
%Returnerer Fourierkoeffisientene til SVV-leddene (de hye frekvensene) ved
%tiden t
    m = getViscositySpectrumLimit(N); %Den minste positive frekvensen som skal ha SVV
    Q=zeros(2*N+1,1);
    %verste negative delen av spekteret
    for xi=-N:-m
       i=xi+N+1;
       Q(i)=min((abs(xi)-m)/m,1); 
    end
    %verste positive delen av spekteret
    for xi=m:N
       i=xi+N+1;
       Q(i)=min(1,(abs(xi)-m)/m);
    end
end