%Fourier-Galerkin-SVV-lser
%Lser den ikkelinere, fraksjonelle konserveringsloven
%u_t+0.5*d_x[f(u)]=L(A(u)) p Omega=(0,2*pi), med periodiske randbetingelser u(0)=u(2*pi),
%og der f(u) og A(u) kan vre enten u eller u^2 (spesifiseres i variable
%nedenfor)
%Utviklet av Stein-Olav Davidsen, 2013

clear all;
close all;

%%%%%Parametre

N=128; %Orden p diskret trigonometrisk polynom, svarer til (2N+1)-dimensjonalt diskret rom
T=0.5; %Sluttid for simuleringer
alpha=1.0; %Fraksjonalitetsparameteren i Laplace-operatoren. 0<alpha<=2 m vre oppfylt. alpha==2 svarer til standard Laplace (lokal operator)
eps = 1e-15; %Presisjon i kvadraturen for den ikkelokale operatoren
SVV = 1; %Spesifiserer om SVV skal brukes eller ikke
quadratic_f = 1; %Hvis quadratic_f==1, brukes f(u)=u^2, hvis Quadratic_f=0 brukes f(u)=u
quadratic_A = 1; %Hvis quadratic_A==1, brukes A(u)=u^2, hvis Quadratic_A=0 brukes A(u)=u

%%%%%Variable

C=solver(N, T, alpha, eps, SVV, quadratic_f, quadratic_A); %Lsningskoeffisientene

%%%%%Plots

plotSimulationResults(C);


