function A=solver(N, T, alpha, eps, SVV, quadratic_f, quadratic_A)
    dt=0.01;
    Ntimesteps=ceil(T/dt);
    A=zeros(2*N+1,Ntimesteps); %Lsningkoeffisientene for hvert tidssteg som kolonner i en matrise
    a0=initialCondition(N); %Initialbetingelser for koeffisientene
    spatial_odefunction = getSpatial_odefunction(alpha, N, eps, SVV, quadratic_f, quadratic_A); %eps angir presisjon i ikkelokal kvadratur
    A(:,1)=a0; %Frste koeffisientkolonne er initialkoeffisientene
    for i=2:Ntimesteps
        %Integrerer i tid fra t=0 til t=T ved bruk av subrutinen
        %timeIntegrator, som tar seg av implementasjonen av en
        %ODE-integrator (f.eks. ERK4), samt tilhrende subrutiner for 
        %regne ut koeffisienter til ikkelinere ledd og evt dealiasing
        %Sender forrige tidsstegs koeffisienter som parameter
        A(:,i)=timeIntegrator(A(:,i-1), dt, spatial_odefunction);
    end
end
