function I = evaluateSinIntegral(alpha, eps)
    %Returnerer verdien av integralet int_0^{\infty} x^{-alpha} sin(x) dx
    %til en presisjon eps.
    %Det antas at 0<alpha<2, og funksjonen kaster feil i tilfelle denne
    %antakelsen brytes
    
    if(alpha<0 || alpha>=2)
        error('0<lambda<2 is violated!');
    elseif(alpha<1) %Generalisert fresnelintegral, eksakt
        I=gamma(1-alpha)*sin((pi*(1-alpha))/2); 
    elseif(alpha==1) %Dirichletintegral, eksakt
        I=pi/2;
    else %Tilnrmet
        %M regnes ut med kvadratur
        I=fresnelIntegralQuadrature(alpha, eps);
    end
end