function I = getBoundaryLayerIntegral(alpha, a, tol)
    %Regner ut integralet int_0^eps x^(-alpha)*sin(x) dx til nsket
    %toleranse tol. Regner ut Taylorrekketilnrmingen av integralet til ndvendig
    %presisjon
    
    I=0;
    N=1;
    upperNBound=1e6;
    ResidualBound=a^(2*N+1-alpha)/((factorial(2*(N+1)-1)*(2*(N+1)-alpha))); %Uttrykk for maksimal feil i integralet ut fra Taylors formel
    while(ResidualBound>tol && N<upperNBound) %Finner hvor mange ledd vi m ta med i tilnrmingen av integralet
       N=N+1;
       ResidualBound=a^(2*N+1-alpha)/((factorial(2*(N+1)-1)*(2*(N+1)-alpha)));
    end
    
    for n=1:N
       I=I+((-1)^(n+1)*a^(2*n-alpha))/((factorial(2*n-1)*(2*n-alpha)));
    end
    
        
end