function b = getNonlocalOperatorCoefficients(a, dealiasing)
    %Regner ut de ikkelinere koeffisientene til A(u) basert p de
    %linere koeffisientene a, med dealiasing for  unng "spurious modes"
    
    switch(dealiasing)
        case 0
            b = getCoefficientsFromFunctionValues(A(getFunctionValuesFromCoefficients(a)));
        case 1            
            %Dealiasing-steg
            %For  utfre dealiasing nr man regner ut de ikkelinere
            %koeffisientene, pfres en skalt zero-padding p de linere
            %koeffisientene. Dvs. at man utvider spekteret, dvs. setter M=kN, der k
            %er et gitt tall, f.eks. 3/2 etter Orszags regel, og setter de nye
            %koeffisientene til null. Deretter finner vi funksjonsverdiene Um og
            %multipliserer disse med faktoren M/N = k pga definisjonen av den
            %diskrete Fouriertransformen. N har vi kt antall frihetsgrader og kan
            %finne den ikkelinere funksjonen av Um. N tar vi fouriertransformen
            %igjen og multipliserer med N/M = 1/k pga definisjonen av transformen. 
            %Til slutt henter vi ut de frekvensene som vi trenger, nemlig fra -N/2
            %til N/2-1 og neglisjerer resten.
            k=3/2;
            N=length(a);
            padsize=(k/6)*N; %Svarer til N/4
            a_padded=a;
            a_padded(1) = a_padded(1)/2; %a antas  ha partallslengde, m derfor utvide med en koeffisient; deler frihetsgraden likt mellom endepunktene
            a_padded(end+1) = a_padded(1);
            a_padded = [zeros(padsize,1); a_padded; zeros(padsize-1,1)]; %Legger til nuller p enden av koeffisientvektoren (svarer til nuller p de hyeste frekvensene (bde neg. og pos.) og ganger med "riktig" faktor ihht definisjon av fft/ifft
            u_padded = getFunctionValuesFromCoefficients(a_padded); %Regner ut funksjonsverdier etter padding
            unonlin_padded = A(u_padded); %Regner ut funksjonsverdiene for den ikkelinere funksjonen samplet p et finere grid
            b_padded = getCoefficientsFromFunctionValues(unonlin_padded); %De paddede ikkelinere koeffisientene. M gange med N/M pga definisjon av fft/ifft    
            b=b_padded(N/4+1:end-N/4); %Henter kun ut frekvensene fra -N/2 til N/2-1; neglisjerer de hyere ordens frekvensene som er paddet inn
        otherwise
            error('Specify if dealiasing is to be used! 0 or 1');
    end
end