function y = getSourceTermIntegrals(N)
    %Returnerer integralene som kommer fra kildeleddet g(x)
    %Integralene er (1/(2*pi))*int_0^{2pi} e^(-i xi x)*g(x) dx, xi=-N/2..N/2-1
    %Regner ut integralene ved kvadratur og samler dem i en kolonnevektor
    y=zeros(N,1);
    for i=1:N
       xi = i-N/2-1;
       integrand = @(x) (1/(2*pi)) * exp(-1i*xi*x).*g(x);
       y(i)=quadgk(integrand, 0, 2*pi); 
    end
end