function Q = getViscosityCoefficients(N)
%Returnerer Fourierkoeffisientene til SVV-leddene (de hye frekvensene)
    m = getViscositySpectrumLimit(N);
    residual=N/2-m;
    Q=zeros(N,1);
    %verste negative delen av spekteret
    for i=1:residual
       xi=i-N/2-1;
       Q(i)=min((abs(xi)-m)/m,1); 
    end
    %verste positive delen av spekteret
    for i=m+N/2:N
       xi=i-N/2;
       Q(i)=min(1,(abs(xi)-m)/m);
    end
end