function C=solver(N, T, alpha, eps, dealiasing, SVV)
    dt=0.01; %Opplsning i tid
    Ntimesteps=ceil(T/dt);
    C=zeros(N,Ntimesteps); %Lsningkoeffisientene for hvert tidssteg som kolonner i en matrise
    c0=initialCondition(N); %Initialbetingelser for koeffisientene
    spatial_odefunction = getSpatial_odefunction(alpha, N, eps, dealiasing, SVV); %eps angir presisjon i ikkelokal kvadratur
    C(:,1)=c0; %Frste koeffisientkolonne er initialkoeffisientene
    for i=2:Ntimesteps
        %Integrerer i tid fra t=0 til t=T ved bruk av subrutinen
        %timeIntegrator, som tar seg av implementasjonen av en
        %ODE-integrator (f.eks. ERK4), samt tilhrende subrutiner for 
        %regne ut koeffisienter til ikkelinere ledd og evt dealiasing
        %Sender forrige tidsstegs koeffisienter som parameter
        t0 = (i-1)*dt;
        C(:,i)=timeIntegrator(C(:,i-1), t0, dt, spatial_odefunction);
    end
end
