function v=getNonlocalIntegrals(N,alpha,eps)
    %Returnerer en matrise av dimensjon N*N som inneholder de ikkelokale integralene
    %som svarer til Fouriersymbolet til den fraksjonelle Laplace-operatoren
    %til en presisjon eps
    %Matriseformatet er kende med kende indeks. Frste indeks svarer til
    %frekvensvektoren (-N/2,-N/2) og siste indeks svarer til frekvensen
    %(N/2-1,N/2-1).
    
    d=2; %Dimensjonstallet
    c_alpha=alpha*gamma((d+alpha)/2)*(1/(2*pi^(d/2+alpha)*gamma(1-alpha/2)));
    xi1D=-N/2:N/2-1;
    xi_x=meshgrid(xi1D,xi1D); %x-komponenten av xi-vektoren
    xi_y=xi_x'; %y-komponenten av xi-vektoren
    
    
    %Bruk reshape for  konvertere fra vektor til matriseformat osv.
    %Hvis ODE45 fr inn en matrise som initialdata, henter den kolonnevis
    %og legger etter hverandre, dvs. [1,4,7;2,5,8;3,6,9] ->
    %[1,2,3,4,5,6,7,8,9]
    
    surfaceIntegral = 2*pi^(d/2)*(1/gamma(d/2)); %Overflateintegralet som opptrer for d>1
    theta = evaluateSinIntegral(alpha, eps);
    C_alpha = ((2*c_alpha)/alpha)*theta;
    v=-C_alpha*surfaceIntegral*(xi_x.^2+xi_y.^2).^(alpha/2); %2-normen av xi-vektoren opphyd i alfa
end