function Y = getSourceTermIntegrals(N)
    %Returnerer integralene som kommer fra kildeleddet g(x,y)
    %Integralene er (1/(2*pi)^2)*int_0^{2pi} int_0^{2pi} e^(-i xi_1 x)*e^(-i xi_2 x)*g(x,y) dx dy, xi_1, xi_2=-N/2..N/2-1
    %Regner ut integralene ved kvadratur og samler dem i en matrise
    Y=zeros(N,N);
    for i=1:N
        xi_1 = i-N/2-1;
        for j=1:N
            xi_2 = j-N/2-1;
            integrand = @(x,y) (1/(2*pi)^2) * exp(-1i*xi_1*x).*exp(-1i*xi_2*y).*g(x,y);
            Y(i,j)=quad2d(integrand, 0, 2*pi, 0, 2*pi); 
        end
    end
end