function A=solver(N, T, dt, alpha, eps, SVV)
    Ntimesteps=ceil(T/dt);
    A=zeros(N,N,Ntimesteps); %Lsningkoeffisientene for hvert tidssteg som matriselag i en tredimensjonal tensor
    a0=initialCondition(N); %Initialbetingelser for koeffisientene
    spatial_odefunction = getSpatial_odefunction(alpha,N,eps,SVV); %eps angir presisjon i ikkelokal kvadratur
    A(:,:,1)=a0; %Frste koeffisientkolonne er initialkoeffisientene
    for i=2:Ntimesteps
        %Integrerer i tid fra t=0 til t=T ved bruk av subrutinen
        %timeIntegrator, som tar seg av implementasjonen av en
        %ODE-integrator (f.eks. ERK4), samt tilhrende subrutiner for 
        %regne ut koeffisienter til ikkelinere ledd og evt dealiasing
        %Sender forrige tidsstegs koeffisienter som parameter
        A(:,:,i)=timeIntegrator(A(:,:,i-1), (i-1)*dt, dt, spatial_odefunction);
    end
end
