function a1 = timeIntegrator(a0, t0, dt, spatial_odefunction)
    %Tar koeffisientene a0 fra tiden t0 og integrerer opp i tid til t0+dt
    %ved hjelp av en numerisk metode (kan byttes ut - derfor har vi den
    %generiske funksjonen timeIntegrator som wrapper
    %a0 skal vre en matrise, og den reshapes her til en vektor nr den
    %sendes til ode-lseren.
    %Fr tilbake en vektor fra ode-lserne (global representasjon), men
    %konverterer til lokal representasjon for  ta vare p lsningene i en
    %matrise.
    N = size(a0,1);
    a1 = reshape(ode45_solver(reshape(a0,N^2,1), t0, dt, spatial_odefunction), N, N);
end